Bug 438720 - Export smp_call_function_single on x86_64
Export smp_call_function_single on x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: George Beshers
Martin Jenner
: FutureFeature, Patch
Depends On:
Blocks: 245603
  Show dependency treegraph
 
Reported: 2008-03-24 14:23 EDT by George Beshers
Modified: 2009-06-19 22:58 EDT (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Beshers 2008-03-24 14:23:02 EDT
Business Case:

      The situation is that SGI's x86_64 platforms were just 
      recently LSPP security certified with RHEL 5.  As a result 
      of this, a number of our DoD customers (and integrators) want 
      to switch to RHEL, but they require all of the SGI Propack
      software features.
  
      Portions of the ProPack layered software were not ported
      to RHEL until we knew the security certification would be
      completed.  We unfortunately overlooked that
  
         smp_call_function_single()
  
      is *not* exported on x86_64 (although it is in 2.6.20).

Obviously, DoD is an important SGI customer (largest I believe).

The one line patch with the export is upstream at:

   http://www.kernel.org/hg/index.cgi/linux-2.6/rev/f1357bacbc8b

I will attach the backport to 2.6.18-86 shortly---I seem to be
hitting something with git I don't understand.


http://bugworks.engr.sgi.com/query.cgi/979309
Comment 2 George Beshers 2008-03-28 18:47:35 EDT
Alan Cox has ACK so far.
Comment 5 Don Zickus 2008-04-02 12:09:56 EDT
in kernel-2.6.18-88.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Jonathan Lim 2008-04-02 16:53:25 EDT
Verified at SGI.
Comment 8 errata-xmlrpc 2008-05-21 11:12:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.